set timeout=30

loadfont unicode

set menu_color_normal=white/black
set menu_color_highlight=black/light-gray

menuentry "Ubuntu Unity" {
	set gfxpayload=keep
	linux   /casper/vmlinuz boot=casper file=/cdrom/preseed/ubuntu.seed ignore_uuid quiet splash ---
	initrd	/casper/initrd
}
menuentry "Ubuntu Unity (safe graphics)" {
	set gfxpayload=keep
	linux   /casper/vmlinuz boot=casper file=/cdrom/preseed/ubuntu.seed nomodeset ignore_uuid quiet splash ---
	initrd	/casper/initrd
}
menuentry "OEM install (for manufacturers)" {
	set gfxpayload=keep
	linux	/casper/vmlinuz boot=casper file=/cdrom/preseed/ubuntu.seed ignore_uuid oem-config/enable=true quiet splash --- 
	initrd	/casper/initrd
}
grub_platform
if [ "$grub_platform" = "efi" ]; then
menuentry 'Boot from the next volume' {
	exit
}
menuentry 'UEFI Firmware Configuration' {
	fwsetup
}
fi
